Bug 445156 - gnome-power-manager should *never* ignore user-initiated suspend/hibernate
gnome-power-manager should *never* ignore user-initiated suspend/hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 18:38 EDT by Jeremy Fitzhardinge
Modified: 2009-07-14 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2008-05-04 18:38:45 EDT
Description of problem:
At the moment, gnome-power-manager will allow other applications to prevent a
suspend/hibernate.  It should not, or at least it should never allow an
application to inhibit either a user-initiated or critical low power
suspend/hibernate.

Failure to suspend means that, for example, a laptop will ignore a lid-close
suspend event, and sit inside a bag busily getting hot until it runs out of
batteries (or worse).

Version-Release number of selected component (if applicable):
gnome-power-manager-2.22.1-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.Run something like PackageKit to do an update
2.Attempt to suspend
3.
  
Actual results:
A message saying that PackageKit has an uninterruptible transaction and suspend
is prevented.

Expected results:
System suspends.

Additional info:
If an application really can't deal with being suspended, it should cancel
whatever its doing ASAP and allow the suspend to continue.
Comment 1 David Zeuthen 2008-05-04 19:16:13 EDT
Yup, it's surely a bug in g-p-m if it doesn't suspend on things like lid-close
even if it's inhibited. There's been a bunch of discussion about this in the
past. Richard, please fix this.
Comment 2 Bug Zapper 2008-05-14 06:38:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:36:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:13:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.